@media (max-width: 768.5px) {
  .recent-post__title {
    @include textstyle(14px, 700, 22px, $general-gray-color);
    margin-bottom: 23px;
  }
  .recent-post__item-title {
    @include textstyle(14px, 700, 30px, $general-gray-color);
  }
  .recent-post__subtitle {
    @include textstyle(11px, 400, 20px, $post-subtitle-color);
  }
  .recent-post__wrapper {
    @include textstyle(14px, 400, 26px, $wrapper-color);
  }
  .insta-photos__title {
    @include textstyle(14px, 700, 22px, $general-gray-color);
  }
  .insta-photos__subtitle {
    @include textstyle(13px, 700, 22px, $general-gray-color);
    & a {
      color: $general-gray-color;
    }
  }
  .recent-post {
    width: 80%;
    padding: 7% 10%;
  }
  .recent-post__item {
    margin-bottom: 32px;
    &:nth-child(4) {
      display: none;
    }
  }
  .recent-post__image {
    width: 140px;
    margin-bottom: 11px;
  }
  .recent-post__wrapper {
    display: none;
  }
  .insta-photos {
    width: 80%;
    padding: 3% 10%;
  }
  .insta-photos__title {
    margin-bottom: 5%;
  }
  .insta-photos__subtitle {
    display: none;
  }
  .insta-photos__item {
    display: none;
  }
  .insta-photos__container div:first-child {
    display: block;
    & img {
      width: 100%;
    }
  }
@media (min-width: 410px) and (max-width: 768.5px) {
  .insta-photos__container div:nth-child(2) {
    display: flex;
    align-items: center;
    & img {
      width: 100%;
    }
  }
  .insta-photos__container {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }
}

  .footer__text-wrapper {
    & > span {
      display: none;
    }
  }
}
@media (min-width: 769px) and (max-width: 1200.5px) {
  .recent-post__title {
    @include textstyle(16px, 700, 22px, $general-gray-color);
    margin-bottom: 23px;
  }
  .recent-post__item-title {
    @include textstyle(14px, 700, 30px, $general-gray-color);
  }
  .recent-post__subtitle {
    @include textstyle(12px, 400, 20px, $post-subtitle-color);
  }
  .recent-post__wrapper {
    @include textstyle(14px, 400, 26px, $wrapper-color);
  }
  .insta-photos__title {
    @include textstyle(16px, 700, 22px, $general-gray-color);
  }
  .insta-photos__subtitle {
    @include textstyle(13px, 700, 22px, $general-gray-color);
    & a {
      color: $general-gray-color;
    }
  }
  .recent-post {
    width: 80%;
    padding: 7% 10% 3%;
  }
  .recent-post__item {
    margin-bottom: 32px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    column-gap: 20px;
    width: 555px;
    height: 140px;
  }
  .recent-post__image {
    width: 140px;
    margin-bottom: 11px;
  }
  .recent-post__wrapper {
    margin-top: 10px;
    width: 400px;
  }
  .insta-photos {
    width: 80%;
    padding: 3% 10%;
  }
  .insta-photos__general-line {
    display: flex;
    justify-content: space-between;
    margin-bottom: 3%;
  }
  .insta-photos__container {
    & div:last-child {
      display: none;
    }
    display: flex;
    justify-content: center;
    gap: 10px;
  }
  .insta-photos__item {
    & img {
      width: 26.5vw;
    }
  }
}
@media (min-width: 1201px) {
  .recent-post__title {
    @include textstyle(16px, 700, 22px, $general-gray-color);
    margin-bottom: 23px;
  }
  .recent-post__item-title {
    @include textstyle(14px, 700, 30px, $general-gray-color);
  }
  .recent-post__subtitle {
    @include textstyle(12px, 400, 20px, $post-subtitle-color);
  }
  .recent-post__wrapper {
    @include textstyle(14px, 400, 26px, $wrapper-color);
  }
  .insta-photos__title {
    @include textstyle(16px, 700, 22px, $general-gray-color);
  }
  .insta-photos__subtitle {
    @include textstyle(13px, 700, 22px, $general-gray-color);
    & a {
      color: $general-gray-color;
    }
  }
  .main-container {
    background-color: $fullscaleformat-background-color;
  }
  .recent-post {
    width: 80%;
    padding: 7% 10% 3%;
  }
  .recent-post__item-container {
    height: 355px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 95%;
    column-gap: 5%;
  }
  .recent-post__item {
    margin-bottom: 32px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    column-gap: 5%;
    width: 45%;
    height: 140px;
  }
  .recent-post__image {
    width: 140px;
    margin-bottom: 11px;
  }
  .recent-post__wrapper {
    width: 80%;
    margin-top: 10px;
  }
  .insta-photos__general-line {
    display: flex;
    justify-content: space-between;
  }
  .insta-photos {
    width: 80%;
    padding: 1% 10% 3%;
  }
  .insta-photos__general-line {
    display: flex;
    justify-content: space-between;
    margin-bottom: 1%;
  }
  .insta-photos__subtitle {
    font-weight: 700;
    font-size: 13px;
    line-height: 22px;
    & a {
      color: #4e4e4e;
    }
  }
  .insta-photos__container {
    display: flex;
    justify-content: center;
    gap: 0.3vw;
  }
  .insta-photos__item {
    & img {
      width: 20vw;
    }
  }
}
